Material resource
{
	MaterialType _type = Opaque;
	VideoProgram _passes
	[ 
		"normal"
		"depth"
	]
}

VideoProgram normal
{
	VertexLayout _vertexLayout = "MeshLayout\ModelBillboardLayout.rsc";
	VertexProgram _vertexProgram = "Material\Billboard\BillboardMaterial.rsc:vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "Material\Billboard\BillboardMaterial.rsc:rs";
}

VideoProgram depth
{
	VertexLayout _vertexLayout = "MeshLayout\ModelBillboardLayout.rsc";
	VertexProgram _vertexProgram = "Material\Billboard\BillboardMaterial.rsc:vsDepth";
	PixelProgram _pixelProgram = "psDepth";
	RenderState _renderState = "Material\Billboard\BillboardMaterial.rsc:rsDepth";
}

PixelProgram ps : "Material\Billboard\BillboardMaterial.rsc:ps"
{
	String _functions
	[
		"
			float4 GetColor(float4 texcoord, float4 lightFogMove, float shadow)
			{
				float3 ao = Sample2D(aoMap, aoMapsampler, texcoord.zw).xxx;
				float4 diff = Sample2D(diffuse, diffusesampler, texcoord.xy);
    
				float4 output;
				output.xyz = ComputeLighting(lightFogMove.xyz, diff.xyz, shadow, float3(1, 1, 1), ao);
				output.w = diff.w;
				clip(output.w - 0.5);

				return output;
			}
		"
	]
}

PixelProgram psDepth : "Material\Billboard\BillboardMaterial.rsc:psDepth"
{
	Variant _variants
	[
		{
			String _text = "
				float4 diff = Sample2D(diffuse, diffusesampler, input.texcoord);
				output.color = diff;
				clip(output.color.w - 0.5);
			";
		}
	]
}