#ifndef _Lighting_
#define _Lighting_

float3 GetLightingFog(float3 normal, float cameraZ)
{
	float3 lf;
	float dp = dot(normal, lc_nearPlane.xyz);
	lf.x = -dp;									// direct light
	lf.y = (dp + 3.0) * 0.5;					// ambient light
	lf.z = (gc_fog.x + cameraZ) * gc_fog.y;		// fog

	return lf;
}

void GetLighting(float3 normal, float3 tint, out float3 lightColor, out float3 ambientColor)
{
	
	lightColor = saturate(dot(normal, -lc_nearPlane.xyz)) * lc_color.xyz * tint;
	ambientColor = (((dot(normal, lc_nearPlane.xyz)) + 3.0) / 2.0) * lc_ambientColor.xyz * tint;
}

#endif