Material resource
{
	MaterialType _type = Opaque;
	VideoProgram _passes
	[ 
		"normal"
		"depth"
		"reflect"
	]
}

VideoProgram normal
{
	VertexLayout _vertexLayout = "MeshLayout\ModelLayout.rsc";
	VertexProgram _vertexProgram = "Material\OpaqueInWater\OpaqueInWaterMaterial.rsc:vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "Material\OpaqueInWater\OpaqueInWaterMaterial.rsc:rs";
}

VideoProgram depth
{
	VertexLayout _vertexLayout = "MeshLayout\ModelDepthLayout.rsc";
	VertexProgram _vertexProgram = "Material\Opaque\OpaqueMaterial.rsc:vsDepth";
	PixelProgram _pixelProgram = "Material\Opaque\OpaqueMaterial.rsc:psDepth";
	RenderState _renderState = "Material\Opaque\OpaqueMaterial.rsc:rsDepth";
}

VideoProgram reflect
{
	VertexLayout _vertexLayout = "MeshLayout\ModelLayout.rsc";
	VertexProgram _vertexProgram = "Material\OpaqueInWater\OpaqueInWaterMaterial.rsc:vs";
	PixelProgram _pixelProgram = "psRef";
	RenderState _renderState = "Material\OpaqueInWater\OpaqueInWaterMaterial.rsc:rsRef";
}


PixelProgram ps : "Material\OpaqueInWater\OpaqueInWaterMaterial.rsc:ps"
{
	VertexProgram _input = "Material\OpaqueInWater\OpaqueInWaterMaterial.rsc:vs";

	Texture _textureList
	[
		{ bool _2d = true;	String _name = "diffuse";	int _bindIndex = 0;	bool _exposed = true; }
		{ bool _2d = true;	String _name = "damage";	int _bindIndex = 1;	bool _exposed = true; }
		{ bool _2d = true;	String _name = "snow";		int _bindIndex = 2;	bool _exposed = true; }
		{ bool _2d = true;	String _name = "aoMap";		int _bindIndex = 3;	bool _exposed = false; bool _shadowMap = false; }
		{ bool _2d = true;	String _name = "shadowMap";	int _bindIndex = 5;	bool _exposed = false; bool _shadowMap = true; }
	]

	String _functions
	[
		"
			float4 GetColor(float4 texcoord, float3 lightFog, float4 seasonDataHeight, float shadow)
			{
				float3 ao = Sample2D(aoMap, aoMapsampler, texcoord.zw).xxx;
				float3 dam = Sample2D(damage, damagesampler, (texcoord.zw * 4.0)).xyz;
				float4 diff = Sample2D(diffuse, diffusesampler, texcoord.xy);
				float3 sno = Sample2D(snow, snowsampler, seasonDataHeight.xy);

				float amount = 1 - dot(diff.xyx, diff.xyz);
				amount = saturate(min(0.75, 1 - (amount * amount)));
				diff.xyz = lerp(diff.xyz, dam, amount);
		
				diff.xyz = lerp(diff.xyz, sno, pc_userPosition.x * seasonDataHeight.z * diff.w * ao.x * ao.x);
    
				float4 output;
				output.xyz = lerp(output.xyz, float3(0.025, 0.123, 0.19), saturate(seasonDataHeight.w));
				output.xyz = ComputeLighting(lightFog, diff.xyz, shadow, float3(1, 1, 1), ao);
			
				output.w = seasonDataHeight.w;
	
				return output;
			}
		"
	]
}

PixelProgram psRef : "ps"
{
	Variant _variants
	[
		{
			String _text = "output.color = GetColor(input.texcoord, input.lightFog, input.seasonDataHeight, 1); clip(-input.seasonDataHeight.w);";
		}
		{
			String _text = "output.color = GetColor(input.texcoord, input.lightFog, input.seasonDataHeight, GetShadowLow(input.shadowProjection)); clip(-input.seasonDataHeight.w);";
		}
		{
			String _text = "output.color = GetColor(input.texcoord, input.lightFog, input.seasonDataHeight, GetShadowMedium(input.shadowProjection, pc_texelSize.x)); clip(-input.seasonDataHeight.w);";
		}
		{
			String _text = "output.color = GetColor(input.texcoord, input.lightFog, input.seasonDataHeight, GetShadowHigh(input.shadowProjection, pc_texelSize.x)); clip(-input.seasonDataHeight.w);";
		}
	]
}
