Material resource
{
	MaterialType _type = Opaque;
	VideoProgram _passes
	[ 
		"normal"
		"depth"
		"reflect"
	]
}

VideoProgram normal
{
	VertexLayout _vertexLayout = "MeshLayout\ModelLayout.rsc";
	VertexProgram _vertexProgram = "Material\OpaqueSnow\OpaqueSnowMaterial.rsc:vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "Material\Opaque\OpaqueMaterial.rsc:rs";
}

VideoProgram depth
{
	VertexLayout _vertexLayout = "MeshLayout\ModelDepthLayout.rsc";
	VertexProgram _vertexProgram = "Material\Opaque\OpaqueMaterial.rsc:vsDepth";
	PixelProgram _pixelProgram = "Material\Opaque\OpaqueMaterial.rsc:psDepth";
	RenderState _renderState = "Material\Opaque\OpaqueMaterial.rsc:rsDepth";
}

VideoProgram reflect
{
	VertexLayout _vertexLayout = "MeshLayout\ModelLayout.rsc";
	VertexProgram _vertexProgram = "Material\OpaqueSnow\OpaqueSnowMaterial.rsc:vs";
	PixelProgram _pixelProgram = "ps";
	RenderState _renderState = "Material\Opaque\OpaqueMaterial.rsc:rsRef";
}

PixelProgram ps : "Material\OpaqueSnow\OpaqueSnowMaterial.rsc:ps"
{
	String _functions
	[
		"
			float4 GetColor(float4 texcoord, float3 lightFog, float3 seasonData, float shadow)
			{
				float3 ao = Sample2D(aoMap, aoMapsampler, texcoord.zw).xxx;
				float4 diff = Sample2D(diffuse, diffusesampler, texcoord.xy);
				float3 sno = Sample2D(snow, snowsampler, seasonData.xy);
    
				diff.xyz = lerp(diff.xyz, sno, pc_userPosition.x * seasonData.z * diff.w * ao.x * ao.x);
    
				float4 output;
				output.xyz = ComputeLighting(lightFog, diff.xyz, shadow, float3(1, 1, 1), ao);
				output.w = 0.0;
	
				clip(diff.w - 0.5);
				return output;
			}
		"
	]
}
