#ifndef _Skinning_
#define _Skinning_	

#ifdef _WinDX9
	
float3 SkinPosition(float3 position, float4 index, float4 weight)
{
	return
		(mul(tc_transform[index.x], float4(position, 1.0)) * weight.x) +
		(mul(tc_transform[index.y], float4(position, 1.0)) * weight.y) +
		(mul(tc_transform[index.z], float4(position, 1.0)) * weight.z) +
		(mul(tc_transform[index.w], float4(position, 1.0)) * weight.w).xyz;
}

float3 SkinNormal(float3 normal, float4 index, float4 weight)
{
	return
		(mul((float3x3)tc_transform[index.x], normal) * weight.x) +
		(mul((float3x3)tc_transform[index.y], normal) * weight.y) +
		(mul((float3x3)tc_transform[index.z], normal) * weight.z) +
		(mul((float3x3)tc_transform[index.w], normal) * weight.w);
};

#else

float3 SkinPosition(float3 position, float4 index, float4 weight)
{
	return
		(mul(bc_bones[index.x], float4(position, 1.0)) * weight.x) +
		(mul(bc_bones[index.y], float4(position, 1.0)) * weight.y) +
		(mul(bc_bones[index.z], float4(position, 1.0)) * weight.z) +
		(mul(bc_bones[index.w], float4(position, 1.0)) * weight.w).xyz;
}

float3 SkinNormal(float3 normal, float4 index, float4 weight)
{
	return
		(mul((float3x3)bc_bones[index.x], normal) * weight.x) +
		(mul((float3x3)bc_bones[index.y], normal) * weight.y) +
		(mul((float3x3)bc_bones[index.z], normal) * weight.z) +
		(mul((float3x3)bc_bones[index.w], normal) * weight.w);
};

#endif

#endif